Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class PreparedTransaction

    java.lang.Object
      com.sleepycat.db.PreparedTransaction

    public class PreparedTransaction

extends Object

The PreparedTransaction object is used to encapsulate a single prepared, but not yet resolved, transaction.

Method Summary
`byte[]` | `getGID()` Return the global transaction ID for the transaction.
`Transaction` | `getTransaction()` Return the transaction handle for the transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGID

    public byte[] getGID()

  Return the global transaction ID for the transaction. The global transaction ID is the one specified when the transaction was prepared. The application is responsible for ensuring uniqueness among global transaction IDs.

  Returns:
    The global transaction ID for the transaction.

### getTransaction

    public Transaction getTransaction()

  Return the transaction handle for the transaction.

  Returns:
    The transaction handle for the transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2012 Oracle and/or its affiliates. All rights reserved.